tigase.server

## Class Message

- java.lang.Object
- - tigase.server.Packet
  - - tigase.server.Message

-     public class Message
      extends Packet

  Created: Dec 31, 2009 8:38:38 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEM_NAME` Field description
    `static String[]` | `MESSAGE_BODY_PATH` Field description
    `static String[]` | `MESSAGE_DELAY_PATH` Field description
    `static String[]` | `MESSAGE_ERROR_PATH` Field description
    `static String[]` | `MESSAGE_SUBJECT_PATH` Field description

    - ### Fields inherited from class tigase.server.Packet

      `CLIENT_XMLNS, elem, FROM_ATT, FULL_DEBUG, ID_ATT, PERM_ATT, PRIORITY_ATT, TO_ATT, TYPE_ATT, XMLNS_ATT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message(tigase.xml.Element elem)` Constructs ...
    `Message(tigase.xml.Element elem, tigase.xmpp.JID stanzaFrom, tigase.xmpp.JID stanzaTo)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String[]` | `getElNameErrorPath()` Method description
    `static Packet` | `getMessage(tigase.xmpp.JID from, tigase.xmpp.JID to, StanzaType type, String body, String subject, String thread, String id)` Creates a packet with message stanza.

    - ### Methods inherited from class tigase.server.Packet

      `copyElementOnly, debug, elemToString, elemToStringSecure, errorResult, getAttribute, getAttribute, getAttribute, getAttributeStaticStr, getAttributeStaticStr, getCommand, getElemCData, getElemCData, getElemCData, getElemCDataStaticStr, getElemChildren, getElemChildren, getElemChildrenStaticStr, getElement, getElemFrom, getElemName, getElemTo, getErrorCondition, getFrom, getPacketFrom, getPacketTo, getPermissions, getPriority, getProcessorsIds, getStanzaFrom, getStanzaId, getStanzaTo, getTo, getType, getXMLNS, initVars, initVars, isCommand, isElement, isRouted, isServiceDisco, isXMLNS, isXMLNS, isXMLNSStaticStr, okResult, okResult, packetInstance, packetInstance, packetInstance, packRouted, processedBy, setPacketFrom, setPacketTo, setPermissions, setPriority, setXMLNS, swapElemFromTo, swapElemFromTo, swapFromTo, swapFromTo, swapStanzaFromTo, swapStanzaFromTo, toString, toString, toStringFull, toStringSecure, unpackRouted, wasProcessed, wasProcessedBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELEM_NAME

          public static final String ELEM_NAME

      Field description
      See Also:
        Constant Field Values

    - #### MESSAGE_BODY_PATH

          public static final String[] MESSAGE_BODY_PATH

      Field description

    - #### MESSAGE_SUBJECT_PATH

          public static final String[] MESSAGE_SUBJECT_PATH

      Field description

    - #### MESSAGE_ERROR_PATH

          public static final String[] MESSAGE_ERROR_PATH

      Field description

    - #### MESSAGE_DELAY_PATH

          public static final String[] MESSAGE_DELAY_PATH

      Field description

  - ### Constructor Detail

    - #### Message

          public Message(tigase.xml.Element elem)
                  throws tigase.util.TigaseStringprepException

      Constructs ...
      Parameters:
        `elem` -
      Throws:
        `tigase.util.TigaseStringprepException`

    - #### Message

          public Message(tigase.xml.Element elem,
                 tigase.xmpp.JID stanzaFrom,
                 tigase.xmpp.JID stanzaTo)

      Constructs ...
      Parameters:
        `elem` -
        `stanzaFrom` -
        `stanzaTo` -

  - ### Method Detail

    - #### getMessage

          public static Packet getMessage(tigase.xmpp.JID from,
                          tigase.xmpp.JID to,
                          StanzaType type,
                          String body,
                          String subject,
                          String thread,
                          String id)

      Creates a packet with message stanza.
      Parameters:
        `from` - is a `JID` instance with message source address.
        `to` - is a `JID` instance with message destination address.
        `type` - is a `StanzaType` object with the message type.
        `body` - is a `String` object with message body content.
        `subject` - is a `String` object with message subject.
        `thread` - is a `String` object with message thread.
        `id` - is a `String` object with packet id value. Normally we do not set packet IDs for messages but in some cases this might be useful.
      Returns:
        a new `Packet` instance (more specifically `Message` instance) with the message stanza.

    - #### getElNameErrorPath

          protected String[] getElNameErrorPath()

      Method description
      Overrides:
        `getElNameErrorPath` in class `Packet`
      Returns:
        XML path to error element.

Copyright © 2014 "Tigase, Inc.". All rights reserved.